# Default values for localpv.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

release:
  version: "3.4.0"

rbac:
  # rbac.create: `true` if rbac resources should be created
  create: true
  # rbac.pspEnabled: `true` if PodSecurityPolicy resources should be created
  pspEnabled: false

# If false, openebs NDM sub-chart will not be installed
openebsNDM:
  enabled: true

localpv:
  name: localpv-provisioner
  enabled: true
  image:
    # Make sure that registry name end with a '/'.
    # For example : quay.io/ is a correct value here and quay.io is incorrect
    registry:
    repository: openebs/provisioner-localpv
    tag: 3.4.0
    pullPolicy: IfNotPresent
  updateStrategy:
    type: RollingUpdate
  # If set to false, containers created by the localpv provisioner will run without extra privileges.
  privileged: true
  annotations: {}
  podAnnotations: {}
    ## Labels to be added to localpv provisioner deployment pods
  podLabels:
    name: openebs-localpv-provisioner
  healthCheck:
    initialDelaySeconds: 30
    periodSeconds: 60
  replicas: 1
  enableLeaderElection: true
  basePath: "/var/openebs/local"
# This sets the number of times the provisioner should try
# with a polling interval of 5 seconds, to get the Blockdevice
# Name from a BlockDeviceClaim, before the BlockDeviceClaim
# is deleted. E.g. 12 * 5 seconds = 60 seconds timeout
  waitForBDBindTimeoutRetryCount: "12"
  resources:
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  #  limits:
  #    cpu: 100m
  #    memory: 128Mi
  #  requests:
  #    cpu: 100m
  #    memory: 128Mi
  nodeSelector: {}
  tolerations: []
  affinity: {}
  securityContext: {}

imagePullSecrets:
  # - name: img-pull-secret

podSecurityContext: {}
  # fsGroup: 2000

nameOverride: ""
fullnameOverride: ""

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name:

deviceClass:
  # Name of default device StorageClass.
  name: openebs-device
  # If true, enables creation of the openebs-device StorageClass
  enabled: true
  # Available reclaim policies: Delete/Retain, defaults: Delete.
  reclaimPolicy: Delete
  # If true, sets the openebs-device StorageClass as the default StorageClass
  isDefaultClass: false
  # Custom node affinity label(s) for example "openebs.io/node-affinity-value"
  # that will be used instead of hostnames
  # This helps in cases where the hostname changes when the node is removed and
  # added back with the disks still intact.
  # Example:
  #          nodeAffinityLabels:
  #            - "openebs.io/node-affinity-key-1"
  #            - "openebs.io/node-affinity-key-2"
  nodeAffinityLabels: []
  # Sets the filesystem to be written to the blockdevice before
  # mounting (filesystem volumes)
  # This is only usable if the selected BlockDevice does not already
  # have a filesystem
  # Valid values: "ext4", "xfs"
  fsType: "ext4"
  # Label block devices in the cluster that you would like the openEBS localPV
  # Provisioner to pick up those specific block devices available on the node.
  # Set the label key and value as shown in the example below.
  #
  # To read more: https://github.com/openebs/dynamic-localpv-provisioner/blob/develop/docs/tutorials/device/blockdeviceselectors.md
  #
  # Example:
  #          blockDeviceSelectors:
  #            ndm.io/driveType: "SSD"
  #            ndm.io/fsType: "none"
  blockDeviceSelectors: {}

hostpathClass:
  # Name of the default hostpath StorageClass
  name: openebs-hostpath
  # If true, enables creation of the openebs-hostpath StorageClass
  enabled: true
  # Available reclaim policies: Delete/Retain, defaults: Delete.
  reclaimPolicy: Delete
  # If true, sets the openebs-hostpath StorageClass as the default StorageClass
  isDefaultClass: false
  # Path on the host where local volumes of this storage class are mounted under.
  # NOTE: If not specified, this defaults to the value of localpv.basePath.
  basePath: ""
  # Custom node affinity label(s) for example "openebs.io/node-affinity-value"
  # that will be used instead of hostnames
  # This helps in cases where the hostname changes when the node is removed and
  # added back with the disks still intact.
  # Example:
  #          nodeAffinityLabels:
  #            - "openebs.io/node-affinity-key-1"
  #            - "openebs.io/node-affinity-key-2"
  nodeAffinityLabels: []
  # Prerequisite: XFS Quota requires an XFS filesystem mounted with
  # the 'pquota' or 'prjquota' mount option.
  xfsQuota:
    # If true, enables XFS project quota
    enabled: false
    # Detailed configuration options for XFS project quota.
    # If XFS Quota is enabled with the default values, the usage limit
    # is set at the storage capacity specified in the PVC.
    softLimitGrace: "0%"
    hardLimitGrace: "0%"
  # Prerequisite: EXT4 Quota requires an EXT4 filesystem mounted with
  # the 'prjquota' mount option.
  ext4Quota:
    # If true, enables XFS project quota
    enabled: false
    # Detailed configuration options for EXT4 project quota.
    # If EXT4 Quota is enabled with the default values, the usage limit
    # is set at the storage capacity specified in the PVC.
    softLimitGrace: "0%"
    hardLimitGrace: "0%"

helperPod:
  image:
    registry: ""
    repository: openebs/linux-utils
    pullPolicy: IfNotPresent
    # Overrides the image tag whose default is the chart appVersion.
    tag: 3.4.0

analytics:
  enabled: true
  # Specify in hours the duration after which a ping event needs to be sent.
  pingInterval: "24h"
